0

I am getting this error when attempting to install cpp-ethereum in homebrew. Not sure where to begin...please help!

/Users/Macbook/projects/ethereum
==> brew install cpp-ethereum
==> Installing cpp-ethereum from ethereum/ethereum
==> Cloning https://github.com/ethereum/webthree-umbrella.git
Updating /Library/Caches/Homebrew/cpp-ethereum--git
==> Checking out branch develop
Synchronizing submodule url for 'evmjit'
Synchronizing submodule url for 'deps'
==> cmake -DCMAKE_C_FLAGS_RELEASE=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG -DCMAKE_INSTALL_PREFIX=/usr/local/Cellar/cpp-ethereum/1.2.5 -DCMAKE_BU
==> make
Last 15 lines from /Users/Macbook/Library/Logs/Homebrew/cpp-ethereum/02.make:
cd /tmp/cpp-ethereum-20160529-9027-27dkja/libethereum/evmjit/libevmjit && /usr/local/Library/ENV/4.3/clang++   -DETH_EVMJIT -DETH_FATDB -DETH_FRONTIER -DETH_TRUE -DSHAREDLIB -D__STDC_CONSTANT_MACROS -D__STDC_LIMIT_MACROS -Devmjit_EXPORTS -I/tmp/cpp-ethereum-20160529-9027-27dkja/libethereum -I/tmp/cpp-ethereum-20160529-9027-27dkja/libethereum/include -I/tmp/cpp-ethereum-20160529-9027-27dkja -I/tmp/cpp-ethereum-20160529-9027-27dkja/include -I/tmp/cpp-ethereum-20160529-9027-27dkja/gen -I/usr/local/include -I/tmp/cpp-ethereum-20160529-9027-27dkja/libethereum/gen -I/tmp/cpp-ethereum-20160529-9027-27dkja/libethereum/evmjit/include -I/usr/local/opt/llvm37/lib/llvm-3.7/include -I/tmp/cpp-ethereum-20160529-9027-27dkja/libethereum/evmjit/libevmjit/gen  -std=c++11 -Wall -Wextra -Wconversion -Wno-sign-conversion -Wno-unknown-pragmas -std=c++11 -fpermissive -fno-rtti -fvisibility=hidden -O3 -DNDEBUG -DETH_RELEASE -fPIC   -Wall -Wextra -Werror -Wno-unknown-pragmas -fPIC -fstack-protector-strong -fstack-protector -Wno-unused-function -Wno-dangling-else -o CMakeFiles/evmjit.dir/Cache.cpp.o -c /tmp/cpp-ethereum-20160529-9027-27dkja/libethereum/evmjit/libevmjit/Cache.cpp
clang: : : : erroerrorerror: error: : error: ununknown argument: '-fstack-protector-strong': known argument: '-fstack-protector-strong'
unknown unknown argument: '-fstack-protector-strong'
: unknown argument: '-fstack-protector-strong'
make[2]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/BasicBlock.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/Cache.cpp.o] Error 1
make[2]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/Array.cpp.o] Error 1
make[2]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/JIT-c.cpp.o] Error 1
make[2]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/Arith256.cpp.o] Error 1
make[2]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/JIT.cpp.o] Error 1
make[1]: *** [libethereum/evmjit/libevmjit/CMakeFiles/evmjit.dir/all] Error 2
[  2%] Built target ethereum_BuildInfo.h
[  2%] Built target cpp-ethereum_BuildInfo.h
make: *** [all] Error 2
  • what is your os x version ? El Capitan ? – Ellis May 30 '16 at 8:11
1

Please ensure that you do:

  • brew update
  • brew upgrade

Before anything else. You should be getting prebuilt bottles. The fact that it is building from source indicates that something is wrong before you even start.

Only OS X Yosemite and OS X El Capitan are supported? Maybe you have an older version? Maybe you haven't got the latest xcode installed?

Guides are here:

Still having problems, come over to https://gitter.im/ethereum/cpp-ethereum and we'll help you out.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.